screen (4.9.1-1) unstable; urgency=low

  * Update upstream's PGP keys to sport the currently published keys.
  * New upstream bugfix release 4.9.1.
    + Refresh patches where needed.
    + Drop 90_fix_man_page_bash_example.patch, applied upstream.
    + Supports stop/parity bits on serial port. (Closes: #492741)
    + Avoid zombies after shell exit. (Closes: #991715)
    + [CVE-2023-24626] Fixes missing signal sending permission check on
      failed query messages when running setuid or setgid.
    + Multiple Unicode/UTF-8 fixes.

 -- Axel Beckert <abe@debian.org>  Thu, 07 Sep 2023 00:10:56 +0200

screen (4.9.0-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add patch to replace hardcoded Unicode wide character list with a
    dynamic check based on the current glibc's Unicode wide character
    knowledge. (Closes: #1027733)

  [ Unit 193 ]
  * Add patch from upstream bug report #62102 to support bracketed paste
    mode and cursor-style manipulation in Screen v4 as well. (Closes:
    #1019576)

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)
  * Bump packaging copyright years in debian/control. Thanks Lintian!
  * Declare 60-screen-4.2.1-debian4.1.0-compatibility.patch as
    debian-specific.

 -- Axel Beckert <abe@debian.org>  Mon, 09 Jan 2023 04:56:37 +0100

screen (4.9.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Update /etc/shells using dpkg triggers. (Closes: #1023318)

  [ Axel Beckert ]
  * Update Helmut's patch to use more debhelper style file installing.
  * Drop lintian overrides for false positives fixed in Lintian.

 -- Axel Beckert <abe@debian.org>  Sun, 13 Nov 2022 05:09:57 +0100

screen (4.9.0-2) unstable; urgency=medium

  * Add patch to fix bash example in man page. (LP: #1986839) Thanks to
    Tired Sysadmin on Launchpad for the bug report and initial patch!
  * Bracketize lintian overrides.
  * Add lintian overrides for binary files in utf8encodings/.
  * Declare compliance with Debian Policy 4.6.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 24 Aug 2022 03:45:18 +0200

screen (4.9.0-1) unstable; urgency=low

  * Update debian/upstream/signing-key.asc with upstream PGP keys from
    https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=screen
    + Remove C714ACA0297D9992 (Micah Cowan)
    + Replace 21F968DEF747ABD7 with 933AD21886F69FBF (Alexander Naumov)
    + Keep B708A383C53EF3A4 (Amadeusz Sławiński)
  * Import new upstream release 4.9.0.
    + Drop the following patches which were all applied upstream:
      - 52fix_screen_utf8_nfd.patch
      - 58-show-encoding-hardstatus.patch
      - 64-fix-manpage-typos-reported-by-lintian.patch
      - 90_Expand-d_xtermosc-array-in-struct-display.patch
      - 91_TERMCAP_BUF-is-used-in-place-of-TERMCAP_BUFSIZE.patch
      - 99_CVE-2021-26937.patch
    + Refresh the remaining patches as needed.
  * debian/copyright: Update copyright years based on section COPYLEFT in
    screen(1). Also update packaging copyright years. Thanks Lintian!
  * Update lintian overrides wrt. to new tag formatting.
  * Add lintian overrides for new very-long-line-length-in-source-file
    false positives.

 -- Axel Beckert <abe@debian.org>  Wed, 02 Feb 2022 04:38:15 +0100

screen (4.8.0-7) unstable; urgency=medium

  * Replace versioned build-dependency on transitional package
    libncursesw5-dev with unversioned build-dependency on
    libncurses-dev. Thanks Vincent Lefevre! (Closes: #991916)
  * Drop override_dh_strip: --dbgsym-migration is no more needed as
    screen-dbgsym was already in Debian 9 Stretch. (Thanks Lintian!)
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Thu, 02 Sep 2021 02:25:13 +0200

screen (4.8.0-6) unstable; urgency=medium

  * autopkgtest: Add a "sleep 1" before "Session is gone" check. Avoids
    a race condition on heavily loaded systems.
  * Replace 52fix_screen_utf8_nfd.patch with a patch by Michael Schröder
    and reenable it. (Closes: #600246 without reopening #677512; Culrpit
    was the same upstream commit as the one which caused CVE-2021-26937.)
  * Add additional autopkgtests, testing for regressions of #600246,
    #677512, #982435 (CVE-2021-26937) and some other regressions found in
    earlier patch propositions for CVE-2021-26937.
  * Update cause and impact description of CVE-2021-26937 in 4.8.0-4 with
    a shortened variant of the wording that is used by MITRE.

 -- Axel Beckert <abe@debian.org>  Sat, 27 Feb 2021 01:52:03 +0100

screen (4.8.0-5) unstable; urgency=medium

  * Replace my homegrown patch for CVE-2021-26937 (#982435) with the third
    incarnation of the patch proposed by Michael Schröder of SUSE.  It's
    the first proposed patch which so far showed no regressions.

 -- Axel Beckert <abe@debian.org>  Fri, 12 Feb 2021 00:07:18 +0100

screen (4.8.0-4) unstable; urgency=low

  * Update URL in 52fix_screen_utf8_nfd.patch by following the redirect.
  * [CVE-2021-26937] Fix invalid write access and crash or possibly
    unspecified other impact via a crafted UTF-8 character sequence.
    (Closes: #982435; urgency=low to get more exposure for that patch.)

 -- Axel Beckert <abe@debian.org>  Wed, 10 Feb 2021 22:25:44 +0100

screen (4.8.0-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)
  * Drop lintian overrides for no more emitted hyphen-used-as-minus-sign.
  * Add lintian overrides for new false positives of:
    + bogus-mail-host-in-debian-changelog (see #966295)
    + national-encoding (on purpose, documentation on national encoding)
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Retroactively mention #915121 in the 4.7.0-1 debian/changelog entry.

 -- Axel Beckert <abe@debian.org>  Mon, 14 Dec 2020 03:21:06 +0100

screen (4.8.0-2) unstable; urgency=medium

  * Add CVE number to previous changelog entry.
  * Add a debian/gitlab-ci.yml.
  * Bump debhelper-compat to 13.
    + Rename debian/screen.screen-cleanup.tmpfile to
      debian/screen.screen-cleanup.tmpfiles.
    + Replace override_dh_installsystemd with override_dh_installtmpfiles.
  * Cherry-pick the two one-line upstream fixes from the screen-v4 branch.
  * Drop preinst needed for some path migration in 2007.
    + Drop related lintian override.

 -- Axel Beckert <abe@debian.org>  Tue, 26 May 2020 03:50:33 +0200

screen (4.8.0-1) unstable; urgency=medium

  * Import new upstream release 4.8.0.
    + CVE-2020-9366: Fixes out of bounds access when setting w_xtermosc
      after OSC 49. (Closes: #950896)
    + Refresh patches where needed.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sat, 08 Feb 2020 02:16:54 +0100

screen (4.7.0-1) unstable; urgency=low

  * Add a bug script to answer the most common questions to screen bug
    reports automatically.
  * Follow lintian tag renaming in lintian overrides.
  * Override init.d-script-does-not-source-init-functions for
    screen-cleanup, too. Its function on the systemd side is covered by
    /etc/tmpfiles.d/screen-cleanup.conf and
    /lib/systemd/system/screen-cleanup.service.
  * Add comments on top of /etc/tmpfiles.d/screen-cleanup.conf stating
    that this file is generated by maintainer scripts. (Closes: #890823)
  * Import new upstream release 4.7.0.
    + Drop 90_cherrypick-d340b02c_do-not-liunk-against-libelf.patch.
    + Refresh remaining patches as necessary.
    + Updates Unicode support to 12.1.0. (Closes: #882340)
    + Fixes cross-compilation support. (Closes: #917627)
    + Adds support for SGR (1006) mouse mode. (Closes: #850962)
    + Contains a revamped man page. (Closes: #915121)
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.

 -- Axel Beckert <abe@debian.org>  Wed, 02 Oct 2019 02:14:56 +0200

screen (4.6.2-3) unstable; urgency=medium

  * Cherry-pick upstream commit d340b02c to stop linking against libelf if
    available.  This upstream commit is from 2014, but accidentally has
    been reverted upstream in 2015 while configure.in was renamed to
    configure.ac.  (Closes: #903818)

 -- Axel Beckert <abe@debian.org>  Sun, 15 Jul 2018 14:11:39 +0200

screen (4.6.2-2) unstable; urgency=medium

  * Remove trailing whitespace from ancient debian/changelog entries.
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
    + Replace dh_systemd_enable override by a dh_installsystemd override.
  * Drop "Build-Conflicts: libelf-dev". Having libelf-dev installed no
    more causes screen to FTBFS.
  * Declare "Rules-Requires-Root: binary-targets". Thanks Lintian!
  * Update screen.lintian-overrides wrt. to renamed lintian tag.
  * Update Vcs-* headers for move to Salsa.
  * Add fixes for typos found by Lintian recently to
    debian/patches/64-fix-manpage-typos-reported-by-lintian.patch.

 -- Axel Beckert <abe@debian.org>  Sun, 15 Jul 2018 00:48:31 +0200

screen (4.6.2-1) unstable; urgency=medium

  * Import new upstream release.
    + Refresh patches where necessary.
    + Add fixes for new typos found by Lintian to
      debian/patches/64-fix-manpage-typos-reported-by-lintian.patch.

 -- Axel Beckert <abe@debian.org>  Wed, 25 Oct 2017 19:48:01 +0200

screen (4.6.1-2) unstable; urgency=medium

  * Document possible solutions for issues where ssh sessions from inside
    screen do not work properly due to missing terminal definitions on the
    remote machine. (Closes: #854414, LP: #1726826)
  * Declare compliance with Debian Policy 4.1.1.
    + Drop no more needed "Priority: extra" header from screen-udeb.
  * Fix duplicate word in README.Debian. Thanks Lintian!
  * Drop no more needed "Testsuite: autopkgtest" header.
  * debian/upstream/metadate: Use HTTPS for git.savannah.gnu.org URLs.
  * debian/patches/52fix_screen_utf8_nfd.patch: Use HTTPS URL for Origin.

 -- Axel Beckert <abe@debian.org>  Wed, 25 Oct 2017 08:08:11 +0200

screen (4.6.1-1) unstable; urgency=low

  * Import upstream version 4.6.1
    + Refresh 58-show-encoding-hardstatus.patch.
    + Upstream bugfix release: upload to unstable again.
  * Mention Ubuntu bug reports fixed by 4.6.0 in previous changelog entry.
  * Merge 4.5.0-4 changes into 4.5.1-4 changelog entry instead of having
    them as their own an out-of-order changelog entry. Unconfuses the BTS
    (c.f. #355942) and probably also some users. Thanks to Guillem Jover
    for the discussion and idea.

 -- Axel Beckert <abe@debian.org>  Mon, 10 Jul 2017 23:54:35 +0200

screen (4.6.0-1) experimental; urgency=low

  * New upstream release.
    + Supports many more baud rates, including 1500000. (Closes: #860910)
    + Updates Unicode wide tables to 9.0. (Closes: #846396)
    + Makes "get ttyname" work inside containers. (LP: #1669578)
    + Drop 62-fix-texinfo-syntax-error.patch, fixed differently.
    + Drop 64-fix-garbage-on-serial-terminal.patch, applied upstream.
    + Refresh patches where necessary.
  * Retroactively mention #355942 in 4.5.1-1's changelog entry.
  * Add patch to fix spelling errors found by lintian.

 -- Axel Beckert <abe@debian.org>  Thu, 29 Jun 2017 00:10:57 +0200

screen (4.5.1-4) unstable; urgency=low

  * Upload to unstable again.
  * Merge 4.5.0-4 upload into master branch.
    + Refresh 63-fix-garbage-on-serial-terminal.patch and renumber/rename
      it to 64-fix-garbage-on-serial-terminal.patch
  * Declare compliance with Debian Policy 4.0.0. (No changes needed.)

  [ Changes merged from the stretch-targeted 4.5.0-4 upload to unstable ]
  * Add CVE-ID to 4.5.0-3 changelog entry and to
    62-reverse-cherry-pick-5460f5d2-to-fix-privilege-escalation.patch.
  * Apply patch by Samuel Thibault to fix terminal garbage in Debian
    Installer over serial line. (Closes: #857808)

 -- Axel Beckert <abe@debian.org>  Mon, 19 Jun 2017 00:48:02 +0200

screen (4.5.1-3) experimental; urgency=low

  * Also change permissions (wrt. to utempter usage) in
    /usr/lib/tmpfiles.d/screen-cleanup.conf. Fixes "Directory
    '/run/screen' must have mode 777." error when running under systemd.

 -- Axel Beckert <abe@debian.org>  Wed, 08 Mar 2017 23:20:15 +0100

screen (4.5.1-2) experimental; urgency=low

  * Replace all occurrences of /var/run/ in packaging with /run/. (Closes:
    #856824)
  * Update README.Debian with regards to libutempter usage.
    + Add lintian override for "spelling-error-in-readme-debian root root
      (duplicate word) root". (It's user "root" and group "root".)
  * Reflow README.Debian to lines with less than 80 characters per line.

 -- Axel Beckert <abe@debian.org>  Sun, 05 Mar 2017 19:00:00 +0100

screen (4.5.1-1) experimental; urgency=low

  * debian/upstream/signing-key.asc: Import updated upstream keyring from
    https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=screen
  * Import new upstream release.
    + Remove patch for CVE-2017-5618. Solved upstream, but differently.
    + Remove 20fix_typos.patch, applied upstream.
    + Refresh patches 11replace_doc_paths.patch, 45suppress_remap.patch,
      58-show-encoding-hardstatus.patch, 80_session_creation_docs.patch
    + Add new patch to fix syntax error in doc/screen.texinfo.
  * Change Build-Conflicts against libutempter-dev to Build-Depends and
    patch configure.ac to sport a --enable-utempter switch.
  * Enable libutempter in normal build, stay with setgid utmp for udeb.
    (Closes: #819781, #355942)

 -- Axel Beckert <abe@debian.org>  Sun, 05 Mar 2017 02:59:04 +0100

screen (4.5.0-3) unstable; urgency=medium

  * Add patch to revert upstream commit 5460f5d2 ("adding permissions
    check for the logfile name") which caused a privilege escalation.
    (CVE-2017-5618, Closes: #852484)

 -- Axel Beckert <abe@debian.org>  Tue, 24 Jan 2017 22:57:44 +0100

screen (4.5.0-2) unstable; urgency=medium

  * Update 61-default-PATH_MAX-if-undefined-for-hurd.patch by defining
    PATH_MAX in a second place if undefined. Fixes FTBFS on Hurd.

 -- Axel Beckert <abe@debian.org>  Wed, 18 Jan 2017 16:54:41 +0100

screen (4.5.0-1) unstable; urgency=medium

  * New upstream release.
    + Drop all cherry-picked patches.
    + Refresh 11replace_doc_paths.patch,
      58-show-encoding-hardstatus.patch, and
      80_session_creation_docs.patch
    + Remove hunks from 20fix_typos.patch which were fixed upstream.
    + Drop 62-fix-RC_DIGRAPH-handling.patch, applied upstream.

 -- Axel Beckert <abe@debian.org>  Wed, 18 Jan 2017 02:43:52 +0100

screen (4.4.0-6) unstable; urgency=medium

  * Fix double installation of debian/screen.tmpfile. (Closes: #842440)
  * debian/rules:
    + Factor out common dh_auto_configure parameters for .deb and .udeb.
    + Remove redundant quotes.
    + dh_auto_configure: Use shorter -B instead of --builddirectory.

 -- Axel Beckert <abe@debian.org>  Sun, 30 Oct 2016 05:44:17 +0100

screen (4.4.0-5) unstable; urgency=medium

  * Minimize screenrc for udeb from 1.9kB to 1.1kB without loss of
    functionality by removing unneeded comments and ASCII-style
    underlining.
  * Bump debhelper compatibility to 10.
    + Update versioned debhelper build-dependency accordingly.
    + Drop "--parallel --with autoreconf" from debian/rules.
    + Drop explicit build-dependency on dh-autoreconf.
  * Cherry-pick f3a12f01 from upstream screen-v4 branch to fix crash with
    long $TERM variable.
  * Fix typo "defualt" also in doc/screen.texinfo. (Already has been fixed
    in man page. Nevertheless closes: #741141)
  * Update some links in debian/upstream/metadata to reflect the fact that
    we follow GNU Screen's stable branch (called screen-v4).
  * Add Antti Järvinen as co-maintainer. Thanks for the offer to help!
    (Closes: #654116)

 -- Axel Beckert <abe@debian.org>  Tue, 25 Oct 2016 01:38:19 +0200

screen (4.4.0-4) unstable; urgency=medium

  [ Jan C. Nordholz ]
  * Add patch to fix broken handling of "bind u digraph U+" (Closes:
    #831672)
  * Consistency fix for 60-screen-4.2.1-debian4.1.0-compatibility.patch.
  * Replace 80EXP_session_creation_time.patch with three smaller patches
    and reworked functionality. (Hopefully closes: #507817)

  [ Axel Beckert ]
  * Cherry-pick upstream commit 1babc3f7 to fix crash with
    bumpleft/bumpright on blank window.
  * debian/watch: Comment out Savannah download page. It's outdated and
    uscan insists on having only "one main upstream tarballs" URL.

 -- Axel Beckert <abe@debian.org>  Sun, 07 Aug 2016 17:50:16 +0200

screen (4.4.0-3) unstable; urgency=low

  * Add patch to set PATH_MAX to 4096 if undefined. Should fix
    FTBFS on GNU/Hurd since 4.4.0-1.

 -- Axel Beckert <abe@debian.org>  Tue, 21 Jun 2016 22:24:05 +0200

screen (4.4.0-2) unstable; urgency=low

  [ Roger Shimizu ]
  * Add udeb (debian-installer) support and ship a udeb/screenrc to
    emulate the console windows commonly found when running d-i. Thanks to
    Laurent Bigonville and Sven Joachim for providing ideas on building
    screen-udeb with less dependencies.  See discussion in #819358 and
    #819397. (Closes: #819988)

  [ Axel Beckert ]
  * Rename relevant files from debian/* to debian/screen.* to make clear
    that they don't affect other binary packages built by this source
    package.
  * Raise build-dependency on libncursesw5-dev ≥ 6.0+20160319-2 so that
    libtinfo5-udeb is available, too.

 -- Axel Beckert <abe@debian.org>  Tue, 21 Jun 2016 00:10:02 +0200

screen (4.4.0-1) unstable; urgency=low

  * New upstream release
    + Refresh patches where needed.
    + Update 60-screen-4.2.1-debian4.1.0-compatibility.patch to keep
      Debian's MSG_VERSION on 2.
    + Drop 61denial-of-service-stack-overflow-fix.patch (applied upstream)
    + Drop no more needed configure-generated-file-in-source lintian
      overrides and hence the whole debian/source/lintian-overrides file.
  * Change some URLs from http:// to https:// as suggested by DUCK.

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jun 2016 03:44:52 +0200

screen (4.3.1-3) unstable; urgency=medium

  [ Axel Beckert ]
  * Add CVE-ID to previous changelog entry and patch.
  * Remove screen-dbg package, there are automatic -dbgsym packages now.
  * Build-Conflict with libelf-dev on all instead of just non-linux
    architectures. (Closes: #819792)
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Enable all build-time hardening flags.
  * Use DEB_CFLAGS_MAINT_APPEND once instead of passing CFLAGS to all
    dh_auto_build invocations manually.
  * Switch Vcs-Git header from git:// to https://.
  * Switch Homepage header from http:// to https://.
  * Reorder alternatives in Suggests by popularity.
  * Build-Conflict with libutempter-dev to ensure consistent builds and
    not add further build-dependencies. This would hinder future udeb
    support as well as add a "Priority: optional" build-dependency to a
    "Priority: standard" package, which is unwanted. (Closes: #819781)
  * Add patch to fix some recent typo findings by Lintian.
  * debian/copyright: Update Joost Witteveen's e-mail address. Issue
    reported by DUCK.

  [ Sven Joachim ]
  * Add patch to prefer libtinfo over libcurses. (Closes: #819789)

 -- Axel Beckert <abe@debian.org>  Wed, 13 Apr 2016 00:33:50 +0200

screen (4.3.1-2) unstable; urgency=high

  * Cherry-pick upstream patch to fix a stack overflow which can be used
    crash the SCREEN server process and hence can be used for denial of
    service (and possible even worse) attacks. (Closes: #797624,
    CVE-2015-6806)
  * Suggest ncurses-term as it can solve cases where screen refuses to
    work due to an unknown terminal given in $TERM. (Closes: #609656)
  * Remove Jan Christoph Nordholz from Uploaders as suggested by the MIA
    team. Thanks for all your work on screen, Jan!
  * Override lintian warning systemd-no-service-for-init-rcS-script, it's
    a false positive. (More or less closes: #796690)

 -- Axel Beckert <abe@debian.org>  Tue, 01 Sep 2015 17:07:42 +0200

screen (4.3.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Axel Beckert <abe@debian.org>  Mon, 29 Jun 2015 12:43:56 +0200

screen (4.3.0-2) unstable; urgency=low

  * Upload to unstable again.
  * Re-add debian/dirs with /etc/tmpfiles.d/ and add a comment why screen
    ships an empty directory.
    + Fixes regression introduced in 4.2.1-4: If systemd is not installed
      and screen is either setuid or neither setuid nor setgid,
      /var/lib/dpkg/info/screen.postinst bailed out with "16:
      /var/lib/dpkg/info/screen.postinst: cannot create
      /etc/tmpfiles.d/screen-cleanup.conf: Directory nonexistent".
    + See comment in debian/dirs for more detailed reasoning.
  * No more ship /lib/systemd/system/screen-cleanup.service in the package
    but link it to /dev/null in postinst and remove the link again in
    postrm. (LP: #1462692)
  * Add fixed bugs reported in Ubuntu to previous changelog entry.
  * Apply wrap-and-sort.

 -- Axel Beckert <abe@debian.org>  Wed, 17 Jun 2015 21:57:18 +0200

screen (4.3.0-1) experimental; urgency=low

  * New upstream release
    + Drop 00-fix-version-in-Makefile.patch (obsolete) and remove 4.2.1
      upstream tar ball notes from README.Debian.
    + Drop 48screen-ipv6.patch, applied upstream.
    + Drop all patches cherry-picked from upstream.
    + Refresh patches 11replace_doc_paths.patch, 26source_encoding.patch,
      58-show-encoding-hardstatus.patch,
      60-screen-4.2.1-debian4.1.0-compatibility.patch,
      80EXP_session_creation_time.patch
    + Update line numbers in hyphen-used-as-minus-sign lintian overrides.
    + Fixes segfault if hardstatus and maxwin are used together. (Closes:
      #707044)
    + Adds feature "firstline" for a status line in the first line at the
      top of the terminal window. (Closes: #512342, #548845)
    + Fixes documentation of -R/-RR in man page. (LP: #1459653)

 -- Axel Beckert <abe@debian.org>  Sun, 14 Jun 2015 00:58:44 +0200

screen (4.2.1-4) unstable; urgency=medium

  * Drop dh_installchangelogs override to install the new ChangeLog to
    /usr/share/doc/screen/changelog.gz
  * Mention in README.source that Grml's Jenkins builds screen snapshots.
  * Make all patch headers DEP3 compliant. Add bug report numbers, etc.
  * Change priority from optional to standard. (Closes: #783524)
  * Declare package as autopkgtestable to make ci.d.n run the test suite.
  * Install all NEWS files as docs, also those from elder releases.
  * debian/copyright:
    + Convert to machine-readable DEP5 format.
    + Update packaging copyright years.
    + Add https://ftp.gnu.org/gnu/screen/ as additional download source.
  * Add some comments to document the reasons for some entries in
    debian/lintian-overrides.
  * Remove debian/dirs:
    + /etc/tmpfiles.d/ is shipped by systemd and only needed with systemd
    + Explicitly creating /etc/ seems no more necessary.
  * Mark 48screen-ipv6.patch as forwarded, it has been applied upstream.

 -- Axel Beckert <abe@debian.org>  Thu, 11 Jun 2015 01:02:06 +0200

screen (4.2.1-3) unstable; urgency=low

  * Cherry-pick 7d8fd3ad from upstream to fix segfaults with full screen
    text-mode applications and altscreen on (Closes: #681572)
  * Cherry-pick 8ffd5f46 from upstream to fix caption/hardstatus color
    rendering errors (Closes: #731388, LP: #1257895)
  * Add a very simple TAP-based DEP8 test suite under debian/tests/t.
  * Change Vcs-Browser header to new cgit web interface.
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Add lintian overrides for configure-generated-file-in-source as
    config.{log,status} are listed in debian/clean.

 -- Axel Beckert <abe@debian.org>  Thu, 09 Oct 2014 03:19:07 +0200

screen (4.2.1-2) unstable; urgency=low

  * Upload to unstable again
  * Enable parallel building

 -- Axel Beckert <abe@debian.org>  Sat, 26 Jul 2014 14:05:20 +0200

screen (4.2.1-1) experimental; urgency=low

  * New upstream release

    Dropped patches applied or obsoleted upstream:
    + 01configure_fix_alpha_vsprintf.patch
    + 03-fix-terminal-handling-on-kfreebsd.patch
    + 05fix_osdef_include.patch
    + 06-fix-parallel-build.patch
    + 10norootpassword.patch
    + 12kfreebsd_ctty.patch
    + 14size_matters.patch
    + 16fix_gcc_warnings.patch
    + 22exchange_file_mode.patch
    + 23exitcode_q_ls.patch
    + 24option_parser.patch
    + 32misc_minor_fixes.patch
    + 46fix-keybinding-typo-in-manpage.patch
    + 47screen-cc.patch
    + 49long-usernames.patch
    + 50increase-max-TERM-length.patch
    + 51fix-utf8-status-padding-bug.patch
    + 53fix-startup-race-condition.patch
    + 59-fix-manpage-warnings.patch
    + 61-allow-dev-console-to-be-a-symlink.patch
    + 62-prevent-repeated-title-prompt.patch

    Also dropped patch 60-644788-screen-4.1.0-4.0.3-interoperability.patch
    as it was only necessary for the migration from Squeeze to Wheezy and
    from Precise to Trusty.

    Refreshed and/or updated the following remaining patches:
    + 11replace_doc_paths.patch
    + 48screen-ipv6.patch
    + 58-show-encoding-hardstatus.patch
    + 80EXP_session_creation_time.patch

    New patches:
    + Fix wrong version in upstream's top-level Makefile.
    + Set values in os.h to those from 49long-usernames and
      50increase-max-TERM-length and set MSG_VERSION back to 2 to ensure
      backwards compatibility in Debian. (See #644788 for the discussion
      with older releases.)

  * Update line-numbers in lintian overrides.
  * Add README.source explaining which patch is needed for the clean target.

 -- Axel Beckert <abe@debian.org>  Thu, 05 Jun 2014 23:50:40 +0200

screen (4.2.0-2) unstable; urgency=low

  * Upload to unstable

 -- Axel Beckert <abe@debian.org>  Mon, 28 Apr 2014 02:32:48 +0200

screen (4.2.0-1) experimental; urgency=low

  * New upstream release
    Refreshed patches:
    + 10norootpassword.patch
    + 11replace_doc_paths.patch
    + 14size_matters.patch
    + 16fix_gcc_warnings.patch
    + 46fix-keybinding-typo-in-manpage.patch
    + 47screen-cc.patch
    + 48screen-ipv6.patch
    + 51fix-utf8-status-padding-bug.patch
    + 59-fix-manpage-warnings.patch

 -- Axel Beckert <abe@debian.org>  Thu, 17 Apr 2014 15:09:54 +0200

screen (4.1.0~20120320gitdb59704-10) unstable; urgency=medium

  * Extend 49long-usernames.patch to also cover multiuser usage (Closes:
    #735554) Thanks Martin von Wittich!
  * Add systemd variant of /etc/init.d/screen-cleanup (Closes: #740301)
    + Update README.Debian and NEWS.Debian accordingly
    + Bump versioned debhelper build-dependency to 9.20130504 to ensure
      systemd support in dh_installinit.
    Thanks Josh Triplett for help and patches!
  * Add a debian/upstream/metadata file according to DEP-12.
  * Bump Standards-Version to 3.9.5 (no changes).
  * debian/watch:
    + Update to use GNU's and Savannah's servers (old location at
      uni-erlangen.de no more exist)
    + Check upstream GPG signature and add upstream signing key as
      debian/upstream/signing-key.asc

 -- Axel Beckert <abe@debian.org>  Thu, 17 Apr 2014 11:45:17 +0200

screen (4.1.0~20120320gitdb59704-9) unstable; urgency=low

  * Build-Conflict against libelf-dev on non-linux (Closes: #684386)
  * Allow /dev/console to be a symlink. (Closes: #701173) Thanks to Igor
    Pashev for the report and patch.
  * screen-cleanup init.d script: Label /var/run/screen for SE Linux
    (Closes: #680360)
  * Add a package with debugging symbols (Closes: #715170)
  * Ensure that the title prompt can only appear once. (Closes: #625866)
  * No more pass --update-rcd-params='start 70 S .' to dh_installinit. The
    LSB headers of the init script already contain all necesssary
    information. (Closes: #717553)
  * Expand 50increase-max-TERM-length.patch to also allow larger terminal
    type names when using the "term" command interactively from inside
    screen or from .screenrc. (Closes: #491812)

 -- Axel Beckert <abe@debian.org>  Mon, 22 Jul 2013 21:37:24 +0200

screen (4.1.0~20120320gitdb59704-8) unstable; urgency=low

  * Update debian/patches/13split_info_files.patch to change now ambiguous
    makeinfo option --split to --split-size. Fixes FTBFS with texinfo 5.x.
    (Closes: #707530)
  * Use doc/screen.info* instead of listing every file individually in
    debian/info.
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency
  * Revamp debian/rules
    + Use dh_auto_{configure,build}
    + Drop DPKG_EXPORT_BUILDFLAGS and /usr/share/dpkg/buildflags.mk
    + Drop manual DEB_BUILD_OPTIONS parsing
    + Use debian/clean instead of dh_clean parameters and add some more
      files to clean up
    + Use dh_install and debian/install instead of install and cp
    + Simplify variable usage
    + Fix dh_clean vs dh_prep in install target
    + No more ignore dh_installman errors
    + Finally switch to a dh7 style debian/rules file
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort.
  * Fix lintian warning package-contains-info-dir-file

 -- Axel Beckert <abe@debian.org>  Mon, 20 May 2013 17:04:14 +0200

screen (4.1.0~20120320gitdb59704-7) unstable; urgency=low

  * Extend 60-644788-screen-4.1.0-4.0.3-interoperability.patch:
    + Add support for detaching (Closes: #684342)
    + Document remaining issues in debian/NEWS

 -- Axel Beckert <abe@debian.org>  Sun, 16 Sep 2012 13:42:12 +0200

screen (4.1.0~20120320gitdb59704-6) unstable; urgency=low

  * Apply patch by Julien Cristau <jcristau@debian.org> to add 4.0.3
    interoperability. (Closes: #683228; fixing the issue properly instead
    of working around it. Thanks!)
    + Drop all debconf handling and translations of debconf templates
      (Closes: #679747, #683227; Thanks Beatrice Torracca and Christian
      Perrier!)
    + Drop build-depends on po-debconf and pre-depends on debconf
    + Drop debian/NEWS (Closes: #678950)
    + Remove no more necessary lintian override
  * Screen's info pages are now split over more files than before. Also
    include the new file doc/screen.info-6 (Closes: #682283)

 -- Axel Beckert <abe@debian.org>  Tue, 07 Aug 2012 08:54:42 +0200

screen (4.1.0~20120320gitdb59704-5) unstable; urgency=low

  * Disable patch 52fix_screen_utf8_nfd.patch since it introduced a
    regression (Closes: #677512, Reopens: #600246)
  * Fix bug number of Slovak debconf translation in
    4.1.0~20120320gitdb59704-3 changelog entry
  * Use GMANE URLs for refering to upstream discussions as lists.gnu.org
    doesn't support threading over month boundaries. (Thanks Evgeni
    Golov!)
  * Add translations of debconf templates:
    + Romanian (Closes: #679366; Thanks Andrei POPESCU!)
  * Update translations of debconf templates:
    + German (Closes: #679452; Thanks Helge Kreutzmann!)

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jun 2012 15:27:26 +0200

screen (4.1.0~20120320gitdb59704-4) unstable; urgency=low

  * Fix missing quoting in debian/config's dpkg --compare-version call
    (Closes: #678207)
  * Update NEWS.Debian entry. Now includes how to resurrect running
    screen 4.0.3 sessions including generic commands for copy and
    paste. (Closes: #678181)
  * Set sticky bit on /var/run/screen if screen is not setuid or setgid
    (Closes: #592895)
  * Fix race condition when creating directories in /var/run/screen/.
    (Closes: #653434)
  * Add translations of debconf templates
    + Norwegian Bokmål (Closes: #678112; Thanks Bjørn Steensrud!)
    + Polish (Closes: #678158; Thanks Michał Kułach!)
    + Galician (Closes: #678469; Thanks Jorge Barreiro!)
    + French (Closes: #678548; Thanks David Prévot!)
    + Czech (Closes: #678669; Thanks Michal Šimůnek!)
    + Spanish (Closes: #678891; Thanks Fernando C. Estrada!)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Jun 2012 23:54:09 +0200

screen (4.1.0~20120320gitdb59704-3) unstable; urgency=low

  * Fix workaround for #644788 (detect running screen in maintainer
    scripts) on kfreebsd (Closes: #677227)
  * Update revised debconf templates and package description received from
    the debian-l10n-english team (Closes: #677303)
  * Add translations of debconf templates
    + Simplified Chinese (Closes: #677726; Thanks Aron Xu!)
    + Danish (Closes: #677748; Thanks Joe Hansen!)
    + Swedish (Closes: #677752; Thanks Martin Bagge!)
    + Slovak (Closes: #677848; Thanks Miguel Figueiredo!)
    + Portuguese (Closes: #677838; Thanks Miguel Figueiredo!)
    + Russian (Closes: #678021; Thanks Yuri Kozlov!)
  * Updated German translation
  * Run debconf-updatepo automatically in clean target
    + Add build-dependency on po-debconf

 -- Axel Beckert <abe@debian.org>  Mon, 18 Jun 2012 21:10:49 +0200

screen (4.1.0~20120320gitdb59704-2) unstable; urgency=low

  * Upload to unstable as the two RC issues which the experimental package
    had, are now resolved or at least workarounded:
    - Copy /usr/bin/screen to /tmp/screen-4.0.3 on upgrade from pre-4.1.0
      and use debconf to inform the user about it. (Closes: #644788)
    - Add patch to fix terminal handling on kfreebsd (Closes: #660567)
      Thanks Jan Christoph Nordholz!
  * Add patch to fix parallel building.
  * Use dh_lintian instead of handling lintian overrides manually.
  * No more clean up manually what dh_clean can clean up.
  * Add new patch to fix man page errors and warnings:
    - Lintian warning manpage-has-errors-from-man fixed by replacing all
      occurrences of "..." by "…"
    - Fixes tons of lintian warnings hyphen-used-as-minus-sign
    - Added two false positives of hyphen-used-as-minus-sign to
      lintian-overrides
    - Fixes two typos found by lintian
    - Update 80EXP_session_creation_time.patch accordingly

 -- Axel Beckert <abe@debian.org>  Sun, 10 Jun 2012 17:54:53 +0200

screen (4.1.0~20120320gitdb59704-1) experimental; urgency=low

  * Happy 25th Birthday GNU Screen
  * New upstream snapshot
    - Refreshed the following patches:
      + 01configure_fix_alpha_vsprintf
      + 11replace_doc_paths
      + 14size_matters
      + 48screen-ipv6
      + 51fix-utf8-status-padding-bug
      + 52fix_screen_utf8_nfd
      + 58-show-encoding-hardstatus
      + 80EXP_session_creation_time
    - Removed those hunks from 16fix_gcc_warnings which have been applied
      upstream.
    - Manually adapted patch 26source_encoding.

  [ Axel Beckert ]
  * Switch Maintainer and Uploaders.
  * Add patch fix-utf8-status-padding-bug by Kees Cook and Dustin Kirkland
    (probably fixes #215955)
  * Updated previous changelog entry to document further bugs which have
    been fixed by that upload.
  * Add build dependency on dpkg-dev (>= 1.16.1~) for being able to
    include /usr/share/dpkg/buildflags.mk
  * Add lintian override for init.d-script-does-not-implement-optional-option
    warning. A cleanup script does not need a status subcommand.
  * Fix lintian warning init.d-script-missing-lsb-description.
  * Changes taken from Ubuntu's screen package:
    - debian/init: Use find -delete rather than find -print0 | xargs rm to
      avoid starting two processes.
    - debian/patches/58-show-encoding-hardstatus.patch (Closes: #533498;
      the remaining part of #533498 has been fixed upstream, see
      https://savannah.gnu.org/bugs/index.php?26401)
  * Add patch 52fix_screen_utf8_nfd by Nobuhiro Iwamatsu to fix screen
    outputing "ÿ" after a connected character. (Closes: #600246)
  * Bumped Standards-Version to 3.9.3.

  [ Moritz Muehlenhoff ]
  * Enable hardening build flags (Closes: #656513)

 -- Axel Beckert <abe@debian.org>  Tue, 20 Mar 2012 22:16:07 +0100

screen (4.1.0~20110819git450e8f3-1) experimental; urgency=low

  [ Brian P Kroth ]
  * New upstream snapshot based on 4.1.0 prerelease 20101110git066b098 as
    packaged by Fedora 15 (Closes: #641867)
  * Removed the following patches which have been applied upstream or are
    otherwise no more necessary:
    - 01CVS
    - 02configure_use_ncursesw
    - 03fully_expand_screenencodings
    - 09CHERRY_*
    - 15manpage_typos
    - 16fix_gcc_warnings_II
    - 18manpage_maxwin_limit
    - 19flowcontrol_lockup
    - 20defmonitor
    - 21manpage_nethack_activation
    - 25allow_symlink_sockdir
    - 27doc_sty_noenvpassing
    - 28blankerprg_callsemantics
    - 29infodoc_version
    - 31upstream_cherries
    - 33increase_max_winmsg_renditions
    - 35screen_invoked_with_a_command
    - 40cjk_eastasian
    - 50EXP_tilde_expansion
  * Refreshed the following patches:
    - 10norootpassword
    - 14size_matters
    - 26source_encoding
  * Added patches from Fedora:
    - 47screen-cc: Additional assertions to improve stability
    - 48screen-ipv6: IPv6 support for built-in telnet
  * Enable telnet (Closes: #353090) and localized day/month names

  [ Axel Beckert ]
  * Add myself as Uploader.
  * Remove Adam Lazur from Uploaders. (Closes: #603009)
  * New upstream snapshot based on 4.1.0 prerelease, commit 450e8f3 of
    2011-Aug-19. (LP: #183849)
    - Fixes a crash when attaching to a layout that was created while
      detached. (Closes: #591624, LP: #786292, #788670)
    - Raises MAXWIN to 100 (Closes: #450421)
    - No more segfaults if resized to 0 or 1 line tall (Closes: #532240,
      LP: #315237)
    - screen -d -m no more segfaults on setenv without value (Closes: #496750)
    - Now has tsl, fsl and dsl terminfo caps (Closes: #152961)
    - Windows created with "-d -m" no more ignore "-X exec" (Closes: #481411)
    - Now has a session name string escape (Closes: #488619)
    - Re-optimize screen updates (Closes: #621704, LP: #588846)
    - No more mishandles xterm control string to set window title (Closes:
      #344759) Thanks to Thomas Dickey and Sadrul Habib Chowdhury.
    - Fixes/Relaxes requirement for a controlling terminal (Closes: #461107)
    - Uses fuzzy-matching for session names only if required (Closes: #361274)
    - Has customizable digraphs (Closes: #25096, a wishlist bug from 1998! :-)
    - Fixes a bug with displaying blank spaces with bce on. (Closes: #578729,
      LP: #702094)
    - Fix using alternate screen buffers in some cases. (Closes: #558724)
    - Several fixes for handling mouse events. (Closes: #223320)
    - Passes signals to programs running inside screen on kfreebsd.
      (Closes: 522689)
    - Documents vertical split in man-page. (Closes: #611453)
    - Adds focus left/right commands. (Closes: #526002)
    - Locked screens no more can be unlocked by reattaching to it:
      (Closes: #238535)
    - Shows cursor in front of the selected window in "windowlist -b"
      (Closes: #446082)
  * Remove the patches which have been applied upstream or are
    otherwise no more necessary:
    - 17manpage_sessionname_warning
    - 30fix_fsf_address
  * Refreshed the following patches:
    - 10norootpassword
    - 11replace_doc_paths
    - 12kfreebsd_ctty
    - 14size_matters
    - 16fix_gcc_warnings
    - 22exchange_file_mode
    - 23exitcode_q_ls
    - 24option_parser
    - 32misc_minor_fixes
  * Refreshed and renumbered the following patches:
    - {51 => 80}EXP_session_creation_time
  * Added patches:
    - 46fix-keybinding-typo-in-manpage (Closes: #630535, #541793)
    - 49long-usernames (Closes: #560231, LP: #582153)
    - 50increase-max-TERM-length (Closes: #621804, #630976)
  * Use dh_autoreconf
    - Build-Depend on dh-autoreconf
  * Convert to source format "3.0 (quilt)"
    - Remove build dependency on dpatch
  * Bump Standards-Version to 3.9.2 (no changes)
  * Update debian/copyright
    - Upstream switched to GPLv3
    - Update debian packaging information
  * Fix lintian warning debian-rules-missing-recommended-target
  * Add lintian override for
    possibly-insecure-handling-of-tmp-files-in-maintainer-script
  * /etc/init.d/screen-cleanup: check for existence of screen binary
    (Closes: #612990)
  * Add Vcs-* headers
  * Add extend-diff-ignore=config\.h\.in to debian/source/options
  * Added a NEWS file stating problems to attach to a detached 4.0.3
    session with a 4.1.0 screen, e.g. during a dist-upgrade
  * Suggest iselect, screenie or byobu (Closes: #176626)

 -- Axel Beckert <abe@debian.org>  Sun, 09 Oct 2011 03:29:31 +0200

screen (4.0.3-14+hurd.1) unreleased; urgency=low

  * Fix #522689.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Mar 2011 23:28:56 +0000

screen (4.0.3-14) unstable; urgency=low

  * Cherry-pick a few upstream commits:
    * f6b50e17 (create windows in detached session, closes: #466072).
    * 97708d58 (vertical split documentation, closes: #525998).
    * bb04008e (report session identifier on detach, closes: #199747).
  * Slightly adjust Homepage field.
  * Add support for build option 'noopt'.
  * Bump Standards version to 3.8.2, no changes.
  * Specify GPL version in d/copyright.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Tue, 28 Jul 2009 13:21:24 +0200

screen (4.0.3-13) unstable; urgency=low

  * Sync with Ubuntu, closes: #520359. New dpatches:
    * 33increase_max_winmsg_renditions
    * 35screen_invoked_with_a_command (cherry-picked from upstream)
  * Bump Standards version to 3.8.1 (again, no changes).
  * Accommodate initscript to adjust the $SCREENDIR permissions
    correctly even if /usr/bin/screen is installed 0755.
    Add a Q&A pair to README.Debian to clarify this problem.
    Closes: #520317.
  * Fix #433338 properly by keeping the umask instead of dropping
    the 'public exchange file' concept. Modify dpatch 22.
    Addresses CVE-2009-1214, CVE-2009-1215, closes: #521123.
  * Depend on patch-stamp instead of patch in debian/rules.
    (Phony targets as intermediates in a dep chain are braindead.)
  * Fix job control and CTTY handling on our new kfreebsd archs.
    Closes: #522689. Thanks to Axel Beckert for his support!

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 10 Apr 2009 18:20:49 +0200

screen (4.0.3-12) unstable; urgency=low

  * Back to work.
  * Make the package build lintian-clean again.
  * Add a Homepage field. Closes: #515803.
  * Use the stock [un]patch targets from dpatch. Closes: #488618.
    Thanks to Ryan Niebur.
  * Adjust version number in the info doc. Closes: #492274, thanks
    to Juhapekka Tolvanen.
  * Cherry pick from upstream:
    * d128abd5...: Display hostname when locked. Closes: #501201.
  * Remove a spurious nethack message. Closes: #512299.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Wed, 04 Feb 2009 01:14:20 +0100

screen (4.0.3-11) unstable; urgency=low

  * Unbreak <End> and <^A Bksp> using a patch from Loïc Minier
    (thanks!) - introduced as new 45suppress_remap.dpatch.
    Closes: #484647.
  * Bump Standards version to 3.8.0. No changes necessary.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Thu, 12 Jun 2008 19:33:30 +0200

screen (4.0.3-10) unstable; urgency=low

  * The "Whoa, this feels like a time machine" release.
  * Apply ~5k lines of unified diff to the source (CVS HEAD against
    last release). Closes: #444146.
    * Rediff all dpatches - drop 06 and 12 (fixed upstream).
    * Add a second 16fix_gcc_warnings dpatch to get all those new
      gcc warnings out of the buildlogs.
    * Upstream has changed its mind and defaults to sockets now if both
      sockets and fifos are available - enforce fifos for our build.
  * Use the locale's timeformat for the session creation timestamps.
    Closes: #481445.
  * Update 40cjk_eastasian.dpatch as suggested in the BTS. Thanks
    to Akira Tagoh and Deng Xiyue for providing and testing the new
    version! Closes: #478884.
  * Correct the bug number in the changelog entry for 4.0.3-9, item 5.
  * Bump debhelper level once more to 7.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Mon, 02 Jun 2008 19:16:16 +0200

screen (4.0.3-9) unstable; urgency=low

  * The "I broke it, I fix it" release.
  * Fix a race condition that made session resumption difficult if there
    was only one. Closes: #477739.
  * Enhance dpatch 16fix_gcc_warnings (buildlog is now free of warnings).
  * Apply initscript LSB header changes as suggested by Kel Modderman -
    thanks! Closes: #477779.
  * Extend the tilde expansion patch to also apply to 'chdir' commands.
    Thanks to Steve Kemp! Closes: #447210.
  * Document my dpatch numbering style in 00list (and move one patch to
    make things fit again).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 27 Apr 2008 14:34:00 +0200

screen (4.0.3-8) unstable; urgency=low

  * The "resuming the bughunt" release.
  * Bump Standards level to 3.7.3, debhelper to level 6.
  * Include Ubuntu's 07norootpassword.dpatch, thanks to Martin Pitt!
    See Ubuntu #6760. Closes: #447756.
  * Fix another error in the info documentation. Closes: #447668.
  * Fix blankerprg semantics. Closes: #330036.
  * Empty Default-Stop section in the LSB initscript header. Closes: #461438.
  * Fix multiuser activation howto in README.Debian.
  * New feature: sort sessions by (and show) creation time, and pick the
    youngest instead of an arbitrary one when called with '-rR'.
    Closes: #206572.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Mon, 21 Apr 2008 23:41:42 +0200

screen (4.0.3-7) unstable; urgency=low

  * Completely undo the socket dir migration after discussion on #debian-devel.
    * Restore original location /var/run/screen.
    * Revive old version of dpatch 11.
    * Readjust maintainer scripts and lintian overrides (intentionally
      keeping the /tmp warning as a reminder).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Tue, 25 Sep 2007 03:22:39 +0200

screen (4.0.3-6) unstable; urgency=low

  * One last fix for the migration. I knew this would get ugly...
    Closes: #443813.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Mon, 24 Sep 2007 12:14:52 +0200

screen (4.0.3-5) unstable; urgency=low

  * Take 5: The "(w)hacking at the wishlist" release.
  * Build with 256-color support. Closes: #348099.
  * Change the comments in the digraph table to give a description of the
    composed char, which retains its informational value regardless of the
    viewer's encoding. Closes: #437024. Thanks, Ben Finney!
  * Add "defnonblock 5" to the default screenrc which ought to improve
    screen's behaviour on flaky/slow ssh lines. Closes: #434014.
  * Include the patch for upstream #16666 which fixes the display of certain
    CJK glyphs. Thanks to Victor Hsieh for the hint and Yi-Hsuan Hsin for
    providing the patch! Closes: #437223.
  * Improve and augment the documentation:
    * Tidy up README.Debian. Among other changes this closes: #228220.
    * Add a few sentences concerning Debian's MAXWIN setting (closes: #344863)
      and envvar-passing when calling screen with STY set (closes: #259684).
  * Fix a thinko in the socket directory migration. Closes: #443768.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Mon, 24 Sep 2007 02:03:56 +0200

screen (4.0.3-4) unstable; urgency=low

  * Take 4: The "the FHS is a fine thing after all" release.
  * Move example config files into /usr/share/doc/screen/examples.
  * Move fifo dir from /var/run/screen to /tmp/.screen. Closes: #214796.
    Create preinst to make the upgrade fail early (i.e. before the unpack
    phase) if /tmp/.screen is otherwise occupied.
    Add another Q&A pair to README.Debian to explain how all this is done.
  * Redo 11replace_doc_paths.dpatch from scratch due to these reorganisations.
  * Drop po/ subdirectory (after dropping debconf usage in 4.0.3-1).
    Closes: #440725 (sorry). Closes: #440410.
    Also stop calling dh_installdebconf.
  * Update the FSF address in the source files.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Thu, 30 Aug 2007 18:31:53 +0200

screen (4.0.3-3) unstable; urgency=low

  * Take 3: The "less bugreports than upstream" release. Whew.
  * Add full tilde expansion to the builtin 'source' command. Inspired by
    a patch by Nico Golde. Thanks! Closes: #308818.
  * Add a kluge to prevent screen from locking up when doing strange things
    with xon and flow control enabled. Still waiting for upstream to properly
    fix this problem, so this only addresses: #157873.
  * Extend the documentation about the strange activation of the nethack
    feature. Closes: #205531.
  * Don't create /tmp/screen-exchange with default mode 0666. Closes: #433338.
  * Add a Q&A pair to README.Debian on how to enable the multiuser feature.
    The problem is mentioned in the manpage under '-r', too, so I consider this
    sufficiently documented now. Closes: #92036.
  * Fix the exitcode mess of '-q -ls' (and its combinations with -d, -r and -x)
    to keep the promises the manpage makes. Doing this on my own, no comment
    from upstream yet. Closes: #426328.
  * More documentation typo fixes.
  * Properly parse the long commandline options like '-wipe'. Don't accept
    as soon as it's unambiguous - this is not getopt(). Closes: #222023.
  * Increase the maximum length of the input buffer (C-a :). Closes: #379384.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Thu, 09 Aug 2007 22:51:19 +0200

screen (4.0.3-2) unstable; urgency=low

  * Overhaul, Take 2: The "let -1 migrate to testing first" release.
  * Better warnings now than worries later: add -Wextra to CFLAGS
    (and counter with "-Wno-unused-parameter -Wno-missing-field-initializers"
    to get the noise back to an acceptable level).
  * Now that more warnings are visible, kill a few of them (new patch, ready
    to be submitted upstream: 16fix_gcc_warnings).
  * Drop Pre-Depends from debian/control (wasn't even used, so this is just
    cosmetical).
  * Clarify debian/copyright after consulting upstream. Closes: #403896.
  * Increase MAXSTR by a sufficient amount. The usage pattern of this macro
    doesn't justify a switch to dynamic allocation, so simply increasing it
    is fine with me. Closes: #271384.
  * Fix upstream #20277 by expanding SCREENENCODINGS twice during configure.
    Closes: #435340. Thanks Victor Hsieh!
  * Advise against using the "sessionname" command. The problem has been acked
    upstream, so there's nothing more I can do - besides, there are alternatives.
    Closes: #103771.
  * Fix the "C-a M" toggle command that was broken when combined with a setting
    of 'defmonitor on' in one's .screenrc. Closes: #310568.
  * Correct a manpage error (defining a limitation that actually doesn't exist).
    Closes: #197557.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 05 Aug 2007 16:59:24 +0200

screen (4.0.3-1) unstable; urgency=low

  * New maintainer. Thanks for your work, Adam!
    Move Adam to Uploaders.
  * Acknowledge NMUs. Thanks to all committers!
  * Start the package overhaul. Take 1:
    The "wishlist stuff will have to wait at least until -2"-release.
  * Bump policy compliance level to 3.7.2.
  * Bump debhelper to v5, and prefer debian/compat over DH_VERSION.
  * Clean up old dependencies and conflicts. Closes: #334084.
  * Introduce a patch system (dpatch) and move all orig changes to patches.
  * Assert that the package is built with fifos instead of sockets.
    Close the accompanying bug reports - if there's still a buildd that
    fails the fifo test, I'll get an FTBFS now. Closes: #387156, #413674.
  * Document the SIGWINCH issue in README.Debian. As this is not a bug
    in screen, this closes: #392302, #248699 as far as this package is
    concerned.
  * Make the clean target live up to its name again.
  * Fix a syntax error in the texinfo doc that surfaced now that the clean
    target really cleans everything.
  * Fix the commands in doc/Makefile.in to generate splitted info files
    (because that's how they are distributed by upstream).
  * Clean up the maintainer scripts:
    * Stop using debconf. Its only purpose was to display a warning message
      when upgrading from << 3.9.5-5, which was uploaded in the 20th century.
    * Drop debian/preinst completely.
    * Replace case constructions in the other scripts with if blocks.
    * Stop trying to remove /var/run/screens - I couldn't find any reference
      to that directory. Move remove-shell call to prerm. Closes: #374471.
    * Mute the init script. Closes: #385895.
    * Recreate /var/run/screen on install/reboot if necessary (e.g. tmpfs) with
      the appriopriate permissions (depending on the screen binary - some
      admins might choose to install it setuid using dpkg-statoverride).
      Closes: #357578, #390506, #397088.
  * Fix a couple of manpage typos. Closes: #414241, #417647.
  * Enhance the copyright message (add the GPL boilerplate, formatting fixups).
    Addresses #403896, but the year issue is still pending.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 22 Jul 2007 13:39:43 +0200

screen (4.0.3-0.4) unstable; urgency=low

  * Porter NMU.
  * Fix screen on kfreebsd-amd64. Closes: #357232

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Jul 2007 06:51:52 +0200

screen (4.0.3-0.3) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n isses.
  * Debconf translations:
    - Galician. Closes: #407960
    - Catalan. Closes: #412581
    - Convert all PO files, but Japanese, to UTF-8
  * Add an empty binary-indep target to debian/rules. Closes: #395743
  * Provide a simple LSB header to the init script

 -- Christian Perrier <bubulle@debian.org>  Mon,  5 Mar 2007 09:14:35 +0100

screen (4.0.3-0.2) unstable; urgency=low

  * Non-maintainer upload to fix a forgotten l10n issue in last NMU
  * Debconf translation updates:
    - Added Vietnamese. Closes: #317922
  * Modify the debconf dependency to better handle the cdebconf transition
    Closes: #332089

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Nov 2006 20:46:01 +0100

screen (4.0.3-0.1) unstable; urgency=high

  * Non-maintainer upload to fix a security issue
  * New upstream version fixing utf8 combining characters handling. The
    bugs could be used to crash/hang screen by writing a special string
    to a window (CVE-2006-4573). Closes: #395225
  * Debconf translation updates:
    - Finnish added. Closes: #303818
    - Swedish added. Closes: #331583
    - Portuguese added. Closes: #345059
    - Italian updated. Closes: #358160

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Oct 2006 07:35:57 +0200

screen (4.0.2-4.1) unstable; urgency=low

  * Non-maintainer upload
  * re-run autoconf, fix ftbfs                             (closes: #269366)

 -- David Kimdon <dwhedon@debian.org>  Sat, 13 Nov 2004 20:49:00 -0800

screen (4.0.2-4) unstable; urgency=low

  * new debconf translations:
    * Japanese - thanks Hideki Yamane                       (closes: #224175)
    * Italian - thanks Fabio Pani                           (closes: #224580)
    * Simplified Chinese - thanks Carlos Z.F. Liu           (closes: #230811)
    * Dutch - thanks Luk Claes                              (closes: #244326)
    * Czech - thanks Miroslav Kure                          (closes: #261243)

  * updated Danish translation  - thanks Morten Brix Pedersen (closes: #241241)

 -- Adam Lazur <zal@debian.org>  Tue, 24 Aug 2004 20:09:08 -0400

screen (4.0.2-3) unstable; urgency=high

  * security: fix hole in stale session cleanup init script which allows
    arbitrary file deletion on startup. Thanks to Roderick Schertler for
    pointing this out.                                      (closes: #238139)

 -- Adam Lazur <zal@debian.org>  Mon, 15 Mar 2004 20:46:35 -0500

screen (4.0.2-2) unstable; urgency=low

  * fix depends on passwd to include epoch                   (closes: #224192)

 -- Adam Lazur <zal@debian.org>  Tue,  6 Jan 2004 23:12:51 -0500

screen (4.0.2-1) unstable; urgency=low

  * ack NMU                                         (closes: #223085, #222420)
  * add rxvt to scrollback example in README.Debian and /etc/screenrc
                                                             (closes: #206193)
  * fix typo in example bind line in screenrc                (closes: #214727)
  * add Brazilian Portuguese debconf translation (thanks Andre Luis Lopes)
                                                             (closes: #218809)
  * add screen to /etc/shells                                (closes: #148715)

 -- Adam Lazur <zal@debian.org>  Sat,  6 Dec 2003 18:25:10 -0500

screen (4.0.2-0.1) unstable; urgency=medium

  * NMU
  * New upstream release. No upstream changelog found. ansi.c has been changed
    to fix CAN-2003-0972, a signed integer overflow that allowed for arbitrary
    code execution as group utmp (or as root on systems where screen was
    installed setuid root). (Addresses #222385 for sid)
  * [debian/rules] Changed the order of chmod/chown of the screen binary and
    the run directory to chown, chmod as chown no longer preserves setuid and
    setgid bits as of coreutils 5.0.1. (Closes: #222420)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  6 Dec 2003 18:43:11 +0100

screen (4.0.1-3) unstable; urgency=low

  * fix autoconf varargs detection (using vsprintf) on alpha, which leads to
    a binary that segfaults                                  (closes: #213842)

 -- Adam Lazur <zal@debian.org>  Thu,  2 Oct 2003 23:14:39 -0400

screen (4.0.1-2) unstable; urgency=low

  * build-depend on libncursesw5 to get autoconf to pick it up... doh

 -- Adam Lazur <zal@debian.org>  Tue, 30 Sep 2003 23:40:11 -0400

screen (4.0.1-1) unstable; urgency=low

  * New Upstream Release                                     (closes: #210280)
    * rewritten command parser
    * zmodem support (catch & passthrough)
    * new screenblanker

  * remove bindkey -kb from system screenrc as advised by upstream
                                                             (closes: #187302)
  * link against libncursesw                                 (closes: #211511)
  * fix Hurd build problem                                   (closes: #201909)
  * bump up debhelper versioned dependency                   (closes: #197432)
  * switch to gettext-based debconf templates                (closes: #202549)

 -- Adam Lazur <zal@debian.org>  Tue, 30 Sep 2003 23:14:05 -0400

screen (3.9.15-1) unstable; urgency=low

  * New Upstream Release
    * unicode combining character support
    * chinese GBK encoding added
    * backtick screen escape to substitute command output

  * add Danish translation (thanks Morten Brix Pedersen)     (closes: #174745)
  * add startup script to reap stale screen named pipes      (closes: #164447)
  * remove extraneous /etc/pam.d/screen as other works fine

 -- Adam Lazur <zal@debian.org>  Mon, 17 Mar 2003 22:56:01 -0500

screen (3.9.13-3) unstable; urgency=low

  * add note about xterm scrollback and screen to README.Debian and update
    comment in /etc/screenrc.

 -- Adam Lazur <zal@debian.org>  Thu, 17 Oct 2002 16:41:11 -0400

screen (3.9.13-2) unstable; urgency=medium

  * avoid pkg installing docs resulting in /usr/share/info/dir.gz files in
    the .deb                                                 (closes: #162940)

  * apply 2 patches from upstream:
    1) Fix console grabbing on linux. The kernel handles TIOCCONS too
       restrictive, had to implement a workaround.
    2) Fix WrapChar bug that prevented removal of a bad scroll-region.

 -- Adam Lazur <zal@debian.org>  Thu, 10 Oct 2002 22:53:24 -0400

screen (3.9.13-1) unstable; urgency=low

  * New Upstream Release
  * correction to a FAQ answer in README.Debian              (closes: #153323)

 -- Adam Lazur <zal@debian.org>  Tue, 17 Sep 2002 09:19:14 -0400

screen (3.9.11-5) unstable; urgency=high

  * remove (%n.%t) from hardstatus string                    (closes: #137095)
  * bump up max window title length to 60                    (closes: #135391)
  * debconf templates:
    * add french translation (thanks Philippe Batailler)     (closes: #141676)
    * add russian translation (thanks Ilgiz Kalmetev)        (closes: #137682)
    * split translations out into their own files
  * fix debconf prompt when upgrading from versions < 3.9.5-5 (closes: #137743)
  * edit the long description a bit
  * update README.Debian as to current state of screen-bce

 -- Adam Lazur <zal@debian.org>  Wed, 10 Apr 2002 22:01:46 -0400

screen (3.9.11-4) unstable; urgency=low

  * patches to fix Japanese support:
        screen-3.9.11.hcGR-patch
        screen-3.9.11.paste-patch
        screen-3.9.11.encoding-patch                         (closes: #136740)
  * add spanish debconf template translation                 (closes: #136447)

 -- Adam Lazur <zal@debian.org>  Thu,  7 Mar 2002 09:13:56 -0500

screen (3.9.11-3) unstable; urgency=high

  * Security Fix: override autoconf detected default group and mode on ptys
                  as it is not autodetected properly for buildd's that run
                  as cronjobs                                (closes: #135018)
  * add note to README.Debian about setting xterm titlebar/icon and how to
    override the default
  * add note to README.Debian about mutt padding lines with whitespace (bce)
  * add patchlevel.h (the real upstream changelog) to /usr/share/doc/screen

 -- Adam Lazur <zal@debian.org>  Thu, 21 Feb 2002 17:25:12 -0500

screen (3.9.11-2) unstable; urgency=high

  * Apply patch to fix non utf8 locales                      (closes: #134200)
  * fix problems with screenrc changes that affected konsole (closes: #134198)
    * remove line that was borking TERM=xterm
    * re-add line which mods xterm initialization string
  * Add screen-bce terminal type to screeninfo.src and add a note about it in
    README.Debian

 -- Adam Lazur <zal@debian.org>  Sat, 16 Feb 2002 13:49:38 -0500

screen (3.9.11-1) unstable; urgency=low

  * New upstream release
    * New commands: windowlist (bound to C-a "), source, eval, ignorecase,
                    deflogin, setsid
    * Support for double-width utf-8 characters.
    * bugfixes and other features, see /usr/share/doc/screen/NEWS.gz for more
      info

  * Removed patches:
    * pam support, hurd fix, getpt fix: accepted upstream
    * md5 password support: obsoleted by pam support
    * bufferfile default change: screen is tmpfile safe

  * Updates to /etc/screenrc:
    * Bump up defscrollback from 100 (compiled in default) to 1024
      (thanks to overfiend for pointing this out)
    * Add examples of running programs at screen startup

  * Add german template translation                          (closes: #126180)
  * Now (ab)use upstream's makefile for most of the file installation
  * compile with --enable-rxvt_osc to allow rxvt icon setting from within
    screen                                                   (closes: #133333)

 -- Adam Lazur <zal@debian.org>  Fri, 15 Feb 2002 10:18:07 -0500

screen (3.9.10-1) unstable; urgency=low

  * New Maintainer
  * migrate package build to debhelper
  * debconfify prompt when upgrading from screen < 3.9.5-5

 -- Adam Lazur <zal@debian.org>  Sat, 15 Dec 2001 21:20:58 -0500

screen (3.9.10-0.1) unstable; urgency=high

  * NMU.
  * New upstream version with security fix. (Closes: #111339)
    (Thanks Adam Lazur <laz@clustermonkey.org>)

 -- Eric Gillespie, Jr. <epg@debian.org>  Wed, 12 Sep 2001 22:11:23 -0500

screen (3.9.9-2) unstable; urgency=low

  * New Standards-Version (3.5.4)
  * Get rid of suidmanager, install screen setgid  (closes: Bug#96858)

 -- Juan Cespedes <cespedes@debian.org>  Tue,  5 Jun 2001 23:50:42 +0200

screen (3.9.9-1) unstable; urgency=low

  * New upstream version
  * Really fix Bug#80337 (thanks to Michael Schroeder <mls@suse.de>)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  2 Jun 2001 19:40:37 +0200

screen (3.9.8-6.1) unstable; urgency=HIGH

  * Non-maintainer upload.
  * Disable -DDEBUG which is a massive security hole, closes: #98839.

 -- James Troup <james@nocrew.org>  Sun, 27 May 2001 01:09:31 +0100

screen (3.9.8-6) unstable; urgency=low

  * Updated copyright file
  * Applied patch from Ryan King <rking@caseta.com> to be
    able to work correctly on many-lined terminals   (closes: Bug#80337)

 -- Juan Cespedes <cespedes@debian.org>  Tue, 22 May 2001 00:23:00 +0200

screen (3.9.8-5) unstable; urgency=low

  * Fixed small typo in info file
  * Clean up small lintian bugs
  * Make commands related to bufferfile (readbuf, writebuf)
    work again (Oops)          (closes: Bug#45359, Bug#69275, Bug#83759)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 19 May 2001 15:12:11 +0200

screen (3.9.8-4) unstable; urgency=low

  * Make /etc/pam.d/screen be a conffile             (closes: Bug#58696)
  * Remove option "autofixterm" from manual page     (closes: Bug#97019)
  * Applied patch to make screen work OK on Hurd     (closes: Bug#97343)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 14 May 2001 03:00:34 +0200

screen (3.9.8-3) unstable; urgency=low

  * Fixed small bug which caused `aterm' to display
    everything underlined                            (closes: Bug#97327)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 13 May 2001 15:39:19 +0200

screen (3.9.8-2) unstable; urgency=low

  * New version uploaded to unstable instead of "stable unstable" (sorry)

 -- Juan Cespedes <cespedes@debian.org>  Tue,  8 May 2001 22:28:35 +0200

screen (3.9.8-1) stable unstable; urgency=medium

  * New upstream version                  (closes: Bug#74310, Bug#89215)
  * New Standards-Version (3.5.3)
  * Applied patch to build cleanly on ia64              (closes: #91964)
  * Fixed small bug regarding creation of sockets dir
    when running as root

 -- Juan Cespedes <cespedes@debian.org>  Mon,  7 May 2001 23:26:40 +0200

screen (3.9.5-9) stable unstable; urgency=HIGH

  * Fixed security bug (group utmp compromise)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  2 Sep 2000 17:51:28 +0200

screen (3.9.5-8) frozen unstable; urgency=low

  * Correct wrong build-dependency (libncurses5-dev
    instead of libncurses4-dev) (closes: Bug#57989)
  * Include a /etc/pam.d/screen file (closes: Bug#57592)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 14 Feb 2000 10:07:52 +0100

screen (3.9.5-7) frozen unstable; urgency=low

  * Built against libncurses5 instead of obsoleted libncurses4

 -- Juan Cespedes <cespedes@debian.org>  Sun,  6 Feb 2000 21:26:59 +0100

screen (3.9.5-6) unstable; urgency=low

  * Make `screen' work correctly both as root and non-root
    (closes: Bug#53290, Bug#53329)

 -- Juan Cespedes <cespedes@debian.org>  Thu, 23 Dec 1999 16:48:02 +0100

screen (3.9.5-5) unstable; urgency=low

  * New Standards-Version (3.1.1)
  * Acknowledge NMU-fixed bugs (closes: Bug#50394, Bug#51058, Bug#51316)
  * Changed screens directory from $HOME to /var/run/screen (closes: Bug#51088)
  * Removed debconf support: no configuration is necessary in this program

 -- Juan Cespedes <cespedes@debian.org>  Sun, 19 Dec 1999 06:04:48 +0100

screen (3.9.5-4.1) unstable; urgency=low

  * Non-maintainer release.
  * Run autoconf to resync configure with configure.in
    (closes:Bug#50394,#51058).

 -- Joel Klecker <espy@debian.org>  Mon, 29 Nov 1999 08:38:18 -0800

screen (3.9.5-4) unstable; urgency=low

  * Used debconf

 -- Juan Cespedes <cespedes@debian.org>  Sun, 14 Nov 1999 23:51:10 +0100

screen (3.9.5-3) unstable; urgency=low

  * Applied patch from Joel Klecker <espy@debian.org> to use getpt()
    to get PTYs (closes: Bug#45628, Bug#48856)

 -- Juan Cespedes <cespedes@debian.org>  Tue,  2 Nov 1999 16:42:41 +0100

screen (3.9.5-2.1) unstable; urgency=low

  * NMU. Backed out pty which didn't free ptys correctly. (Fixes: #45628)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 30 Oct 1999 17:07:08 +0200

screen (3.9.5-2) unstable; urgency=low

  * Added missing "prerm" file (lintian)

 -- Juan Cespedes <cespedes@debian.org>  Fri,  1 Oct 1999 10:13:17 +0200

screen (3.9.5-1) unstable; urgency=low

  * New upstream version (closes: Bug#45173)
  * FHS (/usr/doc/screen -> /usr/share/screen)
  * PAM support
  * Move "screen-exchange" file to ${HOME} (closes: Bug#45449)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 19 Sep 1999 20:24:56 +0200

screen (3.9.4-1) unstable; urgency=low

  * New upstream version, lots of improvements (closes: Bug#43932)
  * Removed setuid, make it setgid "utmp" (closes: Bug#43909, Bug#43931)
  * Uses "vlock" to lock screen if available
  * Avoid braces in debian/rules (closes: Bug#36888)
  * Use Unix98 style PTYs (closes: Bug#34578, Bug#37208, Bug#37863)
  * Closed old bugs (closes: Bug#29523, Bug#35469)
  * "screen" now defaults to MAXWIN=40 (closes: Bug#42420)
  * Compile cleanly on glibc-2.1 systems (closes: Bug#26645)
  * New Standards-Version: 3.0.1 (but keeping docs in /usr/doc)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 10 Sep 1999 16:14:41 +0200

screen (3.7.6-1) unstable; urgency=low

  * New upstream version:
      Wayne's resize.c patch to keep the cursor onscreen. FindWindow
      corrected. AIX4 patch from robert@mayday.cix.co.uk.  Fixed
      kanji am & markcursor bugs.  SCO support (Gert Doering).
      Wayne's statusline extra space. New flag nospc for MakeWinMsg.
      New TF capability: add missing termcap/info caps.
      screen-exchange security fix. Use kstat for Solaris' loadavg.
      Check for mode 775 if screen runs setgid.  Fixed typo in silence
      command.  Allow detach with no tty. HPUX10.20 ltchars hack.
      Use @1/@7 as replacement for kh/kH.  Use seteuid before calling
      tgetent.  Check for displays in Msg().  Linux ncurses hack:
      redefine _nc_timed_wait.  Configure check for ncurses (sigh).
      ITOH Yasufumi: kanji fixes, osf support, bug fixes. More secure
      Rewrite().  Increased line buffer size to 2048 bytes.
      SCO-5 Fixes (Brian L. Gentry).  resize code now handles tabs
      correctly.
  * Applied NMU from Christian Meder for glibc-2.1: Bug#32814

 -- Juan Cespedes <cespedes@debian.org>  Thu, 11 Feb 1999 18:32:01 +0100

screen (3.7.4-9.1) frozen unstable; urgency=low

  * non maintainer, sparc only upload
  * apply patch for glibc2.1 from BTS
  * undefine SVR4 from configure script: glibc2.1's utmpx.h is incompatible
    with SVR4

 -- Christian Meder <meder@isr.uni-stuttgart.de>  Thu, 26 Nov 1998 15:40:30 +0100

screen (3.7.4-9) frozen unstable; urgency=medium

  * Recompile against libncurses4
  * /etc/terminfo/s/screen is now in ncurses-base, so screen doesn't
    depend on ncurses-term anymore

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Nov 1998 18:17:37 +0100

screen (3.7.4-8) stable unstable; urgency=HIGH

  * Fix critical bug #25970: /tmp race problem

 -- Juan Cespedes <cespedes@debian.org>  Thu, 27 Aug 1998 23:08:40 +0200

screen (3.7.4-7) unstable; urgency=low

  * Add support for MD5 passwords (Bug#22740, Bug#25487)

 -- Juan Cespedes <cespedes@debian.org>  Fri,  7 Aug 1998 10:40:16 +0200

screen (3.7.4-6) unstable; urgency=low

  * Pass SIGWINCH to applications when size changes (fixes:Bug#18471)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 22 Feb 1998 11:16:46 +0100

screen (3.7.4-5) unstable; urgency=low

  * Fixed minor bug in debian/rules clean
  * `screen' now depends on `ncurses-term', so it doesn't install its
    own terminfo entry
  * New Standards-Version: 2.4.0.0

 -- Juan Cespedes <cespedes@debian.org>  Thu, 12 Feb 1998 16:10:22 +0100

screen (3.7.4-4) unstable; urgency=low

  * Changed upstream changelog name (ChangeLog.gz -> changelog.gz)
  * Changed sockets from /tmp to /var/run (closes:Bug#6487)
  * New Standards-Version: 2.3.0.1
  * Changed behaviour of backspace key (now sends `DEL' == 0177)

 -- Juan Cespedes <cespedes@debian.org>  Sun,  4 Jan 1998 21:13:51 +0100

screen (3.7.4-3) unstable; urgency=low

  * New maintainer
  * New Standards-Version: 2.3.0.0
  * Minor fixes in /usr/doc/screen
  * Pristine Source
  * Fixed Bug#12626

 -- Juan Cespedes <cespedes@debian.org>  Sat, 11 Oct 1997 02:14:43 +0200

screen (3.7.4-2) unstable; urgency=low

  * Added definition of kend to screeninfo.src.
  * Recompiled for libc6.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri,  3 Oct 1997 22:18:45 +0200

screen (3.7.4-1) unstable; urgency=low

  * Upgraded to upstream version.
  * fixed /etc/screenrc problem (used to read: /usr/etc/screenrc).

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat,  2 Aug 1997 22:26:08 +0200

screen (3.7.2-5) unstable; urgency=low

  * Recompiled for libc6 (now should be using libc functions for utmp access)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 19 Jun 1997 17:48:26 +0200

screen (3.7.2-4) unstable; urgency=low

  * After suggestions from David Luyer, increase the number of tty's to 256.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 4 May 1997 17:25:00 +0200

screen (3.7.2-3) stable unstable; urgency=high

  * Security fix for buffer-overrun posted to bugtraq.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri, 21 Feb 1997 17:02:30 +0100

screen (3.7.2-2) unstable; urgency=low

  * This package contained a /usr/doc/screen/screeninfo.src.gz (compressed)
    that is apparently needed by the install phase. uncompressed it.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Tue, 7 Jan 1997 21:22:32 +0100

screen (3.7.2-1) unstable; urgency=low

  * Upgraded to upstream version
  * converted to new source format

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 4 Jan 1997 11:40:40 +0100
